Subject: Tripp Derleth Books?
From: "Jack Berndt" <[email-masked]>
To: "Cuca" <[email-masked]>
Date: Thu, 18 Apr 2013 07:32:41 -0500

Here's a thought for you on this once-again gloomy April rainy day. After you read, let me know if I'm crazy! :) 

We've been selling Derleth books at Tripp for about 2 1/2 years, ever since we had the Derleth exhibit in the late summer of 2010. They're sold on commission, originally 15% & more recently, 20%. The prices are set, I suppose by the ADS board, Jim Roberts, Kay or whomever. So if we sell a book marked at $15, we keep 3 bucks & $12 goes to ADS. I total up the books sold each quarter, then send out the appropriate check payment. Well, herein lies the rub.... The checks are always made out to Kay Price & sent to her home. We typically reference the books sold on the check, but my point is, Kay can deposit or cash them because they're written to her! And given what I now know about her, one wonders... There must be someone in the ADS who can go back to 2010 & get a total of all of the Derleth books sold at Tripp & actual amounts of deposits. Ken Grant? I think it might be of worth to pursue this. I could say - which would be true - that we are doing an inventory on all of our  Derleth books & see if the Tripp numbers match with the ADS numbers. It would not look at all like we're investigating Kay, but rather that we're simply trying to square up our figures. We use Quickbooks software at Tripp so I can get the total amounts paid to Kay/ADS down to the exact penny. The key is to not have Kay involved, has to be your book keeper or whomever. Plus, I would not supply the money numbers up front, but would let ADS do it first. 

So after reading this, am I crazy having these thoughts?